<?php
/**
 * Config handler particulier qui parse un fichier YML et met en cache le résultat 
 * de la fonction sfYaml::load()
 * 
 * Tient compte de l'environnement
 * 
 * @author  ulrich, 09/12/10
 * @package ulMyConfigHandlerPlugin
 *
 */
class myDevConfigHandler extends sfDefineEnvironmentConfigHandler
{
	/**
	 * fonction qui parse le fichier de YAML enfonction de l'environnement et écrit le contenu 
	 * du fichier qui sera dans le cache de Symfony
	 *
	 * @author ulrich, 01/04/09
	 * @author ulrich, 08/09/10 => remplacement de la fonction parseValue() par var_export()
	 * @author ulrich, 08/12/10 => compatibilité sf1.4
	 * @param  String $configFiles
	 * @return String
	 */
	public function execute($configFiles)
	{
		// parse the yaml
		$aConfig = self::getConfiguration($configFiles);
		
		$sNomVar = preg_replace("/^\/(\w+\/)+(\w+)\.yml$/", "$2", $configFiles[0]);
		
		$sConfig = "<?php\n";
        $sConfig .= "// auto-generated by myDevConfigHandler\n ";
        $sConfig .= "// date: ".date('Y-m-d H:i:s')."\n ";
        $sConfig .= 'sfConfig::add(array("'.$sNomVar.'" => '."\n ";
		$sConfig .= var_export($aConfig, true);
		$sConfig .= ')); ';
		
		return $sConfig;
	}
}